{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% set lookingForPropertyRequestOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'lookingForPropertyRequestOverview') %}
        {% if lookingForPropertyRequestOverviewLastVisitedPage != null %}
            {% set lookingForPropertyRequestOverviewPagePath = path(lookingForPropertyRequestOverviewLastVisitedPage.getRouteName(), lookingForPropertyRequestOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set lookingForPropertyRequestOverviewPagePath = path('company_location_management_looking_for_property_request_overview')  %}
        {% endif %}
        <a href="{{ lookingForPropertyRequestOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Ansiedlungsgesuch {% if is_granted('ROLE_PROPERTY_SEEKER') %}aufgeben{% else %}erfassen{% endif %}</span>
        {{ form_widget(lookingForPropertyRequestForm.save, {'label': 'GESUCH SPEICHERN', 'id': lookingForPropertyRequestForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg my-4">
        <div class="mdc-card mb-4 p-4">
            {{ form_start(lookingForPropertyRequestForm, {'attr': {'id': lookingForPropertyRequestForm.vars.id ~ '_form', 'autocomplete': 'off' }}) }}
            {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_form.html.twig' with {'form': lookingForPropertyRequestForm} only %}
            {{ form_row(lookingForPropertyRequestForm._token) }}
            {{ form_end(lookingForPropertyRequestForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
